# Interface AnonymousDecoding

This type represents a decoding of a log as an anonymous event.

#### Category

Output

#### Hierarchy

- AnonymousDecoding

- Defined in codec/lib/types.ts:342

#####
Index

### Properties

abi
arguments
class
decodingMode
definedIn?
interpretations
kind

## Properties

### abi

abi: EventEntry

The ABI entry for the event. You can use this to extract the name, for instance.

- Defined in codec/lib/types.ts:367

### arguments

arguments: AbiArgument[]

The list of decoded arguments to the event.

- Defined in codec/lib/types.ts:362

### class

class: ContractType

The class of the contract that (according to this decoding) emitted the event, as a Format.Types.ContractType. This may be a library! When a library emits an event, the EVM records it as the calling contract having emitted the event, but we decode it as if the library emitted the event, for clarity. (The address of the contract the EVM thinks emitted the event can of course be found in the original log.)

- Defined in codec/lib/types.ts:353

### decodingMode

decodingMode: DecodingMode

The decoding mode that was used; see the README for more on these.

- Defined in codec/lib/types.ts:372

### `Optional` definedIn

definedIn?: ContractType

The class of the contract that (according to this decoding) defined the event, as a Format.Types.ContractType. May be omitted if we can't determine it, as may occur in ABI mode.

- Defined in codec/lib/types.ts:358

### interpretations

interpretations: {}

Further information about how the decoding may be interpreted. Note that interpretations may be added by things that use @truffle/codec, such as @truffle/decoder, rather than by @truffle/codec itself. See individual interpretations for details. (Currently there are none for this type.)

#### Type declaration

- Defined in codec/lib/types.ts:379

### kind

kind: "anonymous"

The kind of decoding; indicates that this is an AnonymousDecoding.

- Defined in codec/lib/types.ts:346

Generated using TypeDoc